> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Delete Project

DELETE https://api.sayari.com/v1/projects/{projectId}

Deletes an existing project.

Reference: https://documentation.sayari.com/api/api-reference/project/delete-project

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Path parameters

- `projectId` (string, required)

## Response

### 200

- `data` (Project, required)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 404 Not Found

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### Project

- `id` (string, required) — Unique project identifier.
- `label` (string, required) — Most recently set name for the project.
- `archived` (boolean, required) — Whether the project is archived. Archival is a soft delete.
- `created` (string, required)
- `updated` (string, required)
- `counts` (ProjectCounts, required)
- `type` (enum, required)
  - Allowed values: `network`, `supply_chain`
- `is_scrm` (boolean, optional) — **Deprecated.** Use `type == 'supply_chain'` instead.

### ProjectCounts

- `entity` (integer, optional) — The number of entities in the project.
- `graph` (integer, optional)
- `search` (integer, optional)
- `record` (integer, optional)

## Examples

**Response**

```json
{
  "data": {
    "id": "Gam5qG",
    "label": "Project Delta",
    "archived": false,
    "created": "2024-04-24 13:43:56.546705+00",
    "updated": "2024-04-24 13:43:56.546705+00",
    "counts": {
      "entity": 2,
      "graph": 0,
      "search": 0,
      "record": 0
    },
    "type": "network"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/projects/Gam5qG"

headers = {"Authorization": "<token>."}

response = requests.delete(url, headers=headers)

print(response.json())
```

```typescript
import { SayariClient } from "sayari";

const sayari = new SayariClient({ clientId: "YOUR_CLIENT_ID", clientSecret: "YOUR_CLIENT_SECRET" });
await sayari.project.deleteProject("Gam5qG");

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/projects/Gam5qG"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/projects/Gam5qG")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.sayari.com/v1/projects/Gam5qG")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.sayari.com/v1/projects/Gam5qG', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/projects/Gam5qG");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects/Gam5qG")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```